Middleware bringt Fehler "Notice: Trying to access array offset on value of type null"

  • Hallo zusammen,


    ich habe eine neu Installation der aktuellen Middleware auf einem neu aufgesetzten Ubuntu 20.04 gemacht.

    Die komplette Installation wurde über das Installation Skript (https://wiki.volkszaehler.org/…e/middleware/installation) durchgeführt was auch ohne Fehler durchgelaufen ist.

    Konfiguriert habe ich den Apache2 als Server.

    Soweit hat alles perfekt funktioniert.

    Wenn ich mich aber jetzt über das Frontend einlogge um die Kanäle anzulegen kommt folgende Fehlermeldung.


    Code
    {"version":"0.3","exception":{"message":"Notice: Trying to access array offset on value of type null","type":"ContextErrorException","code":0}}

    Sieht dann auf der Oberfläche so aus

    Was mache ich falsch?

    Bin für jeden Hinweis Dankbar.


    Gruß

    Snoopy0815de

  • Mit der konkreten Meldung kann ich nix anfangen. Wenn der Server keine Zugriff auf den Zufallsgenerator zulässt kann man keine Kanäle anlegen.

    Ein Problem die immer mal wieder auftaucht: Composer nicht korrekt installiert.



    mfg JAU

    No Shift - No Service

  • Hallo JAU,


    vielen Dank für den Tipp.

    Ich habe die Datei

    /var/www/volkszaehler.org/etc/config.yaml

    noch einmal angepasst mit Benutzername und Passwort.

    Jetzt funktioniert es.


    :danke:und Gruß

  • Also hat der Zugriff auf die DB gefehlt?



    mfg JAU

    Ja genau. Den Benutzer musste ich durch das ausführen des Befehls

    Code
    cp config.dist.yaml config.yaml

    neu eingeben.

    Warum dies bei der automatischen Installation nicht gleich richtig funktionierte konnte ich nicht nachvollziehen.


    Gruß

  • Nach dem kopieren werden Nutzer und Passwörter abgefragt und in die Datei eingepflegt.

    Sollte die Datei schon vorhanden sein wird gefragt ob du die Nutzer anpassen willst.



    mfg JAU

    No Shift - No Service